﻿using System.ComponentModel.Composition;
using System.Reflection;

namespace MyNamespace
{
    [Export(typeof(MyInterface))]
    public class MyExtension : MyInterface
    {
        public string Name
        {
            get { return "MyExtension"; }
        }

        public string GetVersion()
        {
            return Assembly.GetExecutingAssembly().GetName().Version.ToString();
        }

        public string Author
        {
            get { return "Me"; }
        }
    }
}
